/*
<!--          Website made by Jorit Vásconez Gerlach          -->
<!--  Instagram: jorit.vasconezgerlach.de/profiles/instagram  -->
<!--     GitLab: jorit.vasconezgerlach.de/profiles/gitlab     -->
<!--    Twitter: jorit.vasconezgerlach.de/profiles/twitter    -->
*/

/* Imports */
@import url('https://fonts.googleapis.com/css2?family=Fjalla+One&family=Raleway:wght@400;800&display=swap');

/* Basic tags */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #111111;
    color: #ffffff;
    margin: 20px;
    text-align: center;
}

header {
    background-color: #6d6d6d;

    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 10px;
    padding-left: 40px;
    padding-right: 40px;

    border-radius: 20px;
}

footer {
    background-color: #6d6d6d;

    display: block;
    align-items: center;
    justify-content: end;
    margin-left: 90px;
    margin-right: 90px;

    padding: 15px 1%;
    padding-left: 40px;
    padding-right: 40px;

    border-radius: 20px;
}

a {
    color: #111111;
}

/* Classes */
    .header-logo {
        height: 3rem;
        border-radius: 100px;
        border: none;
        margin: 2px;
        cursor: default;
    }

    .header-logo:hover {
        opacity: 0.9;
    }

    .header-nav-menu{
        font-family: sans-serif;
        font-size: 18px;
        cursor: default;
    }

    .header-nav-menu li{
        display: inline-block; /*Check this out*/
        padding: 0px 20px;
    }

    .header-nav-links{
        color: #ffffff;
        text-decoration: none;
        cursor: cell;
        transition: all 0.3s ease 0s; /*Check this out*/
        text-transform: capitalize;
    }

    .header-nav-links:hover{
        color: rgba(89, 192, 49, 1);
    }

    .header-button {
        font-size: 10px;
        background-color: rgba(89, 192, 49, 1);
        border: none;
        padding: 15px 25px;
        border-radius: 50px;
        transition: all 0.3s ease 0s; /*Check this out*/
        text-transform: lowercase;
    }

    .header-button:hover {
        background-color: rgba(89, 192, 49, 0.8);
        cursor: copy;
    }

    .landingpage-text {
        padding: 150px;
        background-color: rgba(10, 10, 10, 0.8);
        border-radius: 30px;
    }

    .landingpage-text h1 {
        font-size: 110px;
        text-transform: uppercase;
        font-family: 'Raleway', sans-serif;
        color: rgb(89, 192, 49);
    }

    .landingpage-text p {
        font-size: 3rem;
        text-transform: lowercase;
        color: #ffffff;
        font-family: 'Raleway', sans-serif;
    }

    .landingpage-button {
        color: #111111;
        font-size: 15px;
        background-color: rgba(89, 192, 49, 1);
        border: none;
        padding: 10px 20px;
        border-radius: 50px;
        transition: all 0.3s ease 0s; /*Check this out*/
    }

    .landingpage-button:hover {
        color: #ffffff;
        background-color: rgba(89, 192, 49, 0.5);
    }

    .coming-soon {
        margin-top: 100px;
        cursor: no-drop;
        font-family: sans-serif;
        text-transform: uppercase;
    }

    .link-instagram{
        color: #ffffff;
        text-decoration: none;
        transition: all 0.3s ease 0s; /*Check this out*/   
    }

    .link-instagram:hover{
        color: rgb(224, 54, 54);
        cursor: crosshair;
    }

    .link-twitter{
        color: #ffffff;
        text-decoration: none;
        transition: all 0.3s ease 0s; /*Check this out*/   
    }

    .link-twitter:hover{
        color: rgb(49, 165, 233);
        cursor: crosshair;
    }

    .link-newsletter{
        color: #ffffff;
        text-decoration: none;
        transition: all 0.3s ease 0s; /*Check this out*/   
    }

    .link-newsletter:hover{
        color: rgb(182, 175, 175);
        cursor: crosshair;
    }

    .footer-nav-menu{
        font-size: 16px;
        font-family: sans-serif;
        cursor: crosshair;
    }

    .footer-nav-menu li{
        display: table;
        padding: 0px 20px;
        display: inline-block; /*Check this out*/
    }

    .footer-nav-links{
        color: #ffffff;
        text-decoration: none;
        transition: all 0.3s ease 0s; /*Check this out*/   
    }

    .footer-nav-links:hover{
        color: rgba(89, 192, 49, 1);
        cursor: crosshair;
    }

/* Id's */
    #landingpage {
        background-image: url(assets/logo-high-resolution.png);
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
        border-radius: 30px;

        justify-content: center;
        text-align: center;

        margin-top: 20px;
        margin-bottom: 20px;
    }